class Ripple
{
  PVector tapLocation;
  float lifeSpan = frameRate * 9;
  float lifeRemaining = lifeSpan;
  float tapEllipseSize = 100;
  float strokeWeight = 5;
  int counter = 0;
  int rippleTimer = 0;
  int rippleCount = 5;
  int rippleSeparation = 50;

  public Ripple(float x, float y, int _rippleTimer)
  {
    tapLocation = new PVector(x, y);
    rippleTimer = _rippleTimer;
  }

  public void draw()
  {
    pushStyle();
    noFill();
    lifeRemaining--;
    if (lifeRemaining > 0)
        counter+=2;
        stroke(rippleTimer,100,100, (lifeRemaining / lifeSpan) * 100);
        strokeWeight(strokeWeight);
        
        for (int i = 0; i < rippleCount; i++) {
          int ellipseSize = counter + rippleSeparation - (rippleSeparation * i);
          if (ellipseSize > 0)
            ellipse(tapLocation.x, tapLocation.y, ellipseSize, ellipseSize); 
        }

    popStyle();
  }

  public boolean isDead()
  {
    return(lifeRemaining <= 0);
  }
}

