class Splash
{
  PVector startLocation;
  float lifeSpan = frameRate * 9;
  float lifeRemaining = lifeSpan;
  float strokeWeight = 3;
  float slope = 0;
  float starSize = 0;
  int   colorSelection = 0;

  public Splash(float x, float y, float px, float py, float v, int colorSelection_)
  {
    startLocation = new PVector(x, y);
    slope = ((y-py)/(x-px));
    starSize = v / 5.0;
    colorSelection = colorSelection_;
  }

  public void draw()
  {
    pushStyle();
    noFill();
    lifeRemaining--;
      if (lifeRemaining > 0)
        stroke(colorSelection, 100, 100, (lifeRemaining / lifeSpan) * 100);
        strokeWeight(strokeWeight);
        
        line (startLocation.x-starSize, startLocation.y-starSize, startLocation.x+starSize, startLocation.y+starSize); // bottom left to top right
        line (startLocation.x-starSize, startLocation.y+starSize, startLocation.x+starSize, startLocation.y-starSize); // top left to bottom right
        line (startLocation.x-starSize, startLocation.y, startLocation.x+starSize, startLocation.y); // east west
        line (startLocation.x, startLocation.y-starSize, startLocation.x, startLocation.y+starSize); // north south
        
    popStyle();
  }

  public boolean isDead()
  {
    return(lifeRemaining <= 0);
  }
}
